xcf2pnm(1)

NAVN
xcf2pnm - konverter xcf-filer til ppm/pgm/pbm-format

OVERBLIK
xcf2pnm [ flag ] filnavn [ lagnavne ]

BESKRIVELSE
xcf2pnm er et kommandolinjeværktøj til at fladgøre og konvertere billedfiler i gimp(1)s interne format XCF til de generelle billedformater pbm(5), pgm(5) og ppm(5). Det kræver ikke at Gimp selv er installeret.

ALMINDELIGE FLAG

-a filnavn, --alpha filnavn
    Skriv en gennemsigtighedsmaske til filnavn som en pgm(5)-fil, udover det normale uddata. Hvis det fladgjorte billede slet ikke har (helt eller delvist) gennemsigtige partier, vil der fremkomme en fejlbesked og afslutningskode 101; dette kan undertrykkes med -A-flaget.

-A, --force-alpha
    Konstruér en triviel gennemsigtighedskanal selvom billedet er fuldstændig ugennemsigtigt.

-b farve, --background farve
    Giv gennemsigtige partier af billedet denne farve. Baggrundsfarven kan angives hexadecimalt som #rrggbb eller #rgb, eller med et X11-farvenavn (sidstnævnte virker kun hvis der kan findes en database med farvenavne i en standardplacering).

-c, --color, --colour
    Brug RGB-format for uddata selvom der er mere kompakte alternative formater. Dette bliver valgt automatisk hvis uddatafilens navn ender på .ppm.

-C, --autocrop
    Placer det konvertede område af billedet til så det netop dækker alle de synlige (eller valgte) lag. Billedet kan blive større eller mindre end lærredet, afhængigt af de synlige lags størrelse og placering. (Bemærk at tilskæringen ikke tager hensyn til indholdet af lagene).

    Normalt vil det konverterede område være det samme som XCF-lærredet.

-D, --dissolve
    Foretag et "opløs"-skridt for at udrydde delvis gennemsigtighed i det fladgjorte billede. Hvis -b-flaget også gives, sker dette før baggrundsfarven påføres.

-f, --full-image
    Start med at fladgøre hele billedet til RAM, og analysér så billedet før detaljerne i uddataformatet bliver besluttet (fx om gråtoner er tilstrækkeligt til at repræsentere billeder). Hvis dette flag ikke gives, vil programmet nøjes med at fladgøre en enkelt række "fliser" (af højden 64 pixels) ad gangen.

-g, --gray, --grey
    Repræsentér uddata som gråtoner selv hvis det er rent sort/hvidt. Stop med afslutningskode 103 hvis der mødes nogen farvede pixels. Dette bliver valgt automatisk hvis uddatafilens navn ender på .pgm.

-G, --for-gif
    Påstå at der ikke er nogen delvist gennemsigtige pixels i uddata (hvilket muliggør en effektivere repræsentation af gennemsigtighed i uddata). Stop med afslutningskode 102 hvis der alligevel findes nogen delvist gennemsigtige pixels. Hvis -b-flaget også gives, handler denne test om om der er delvist gennemsigtige pixels over den angivne baggrund.

-h, --help
    Udskriv en oversigt over flag og kommandolinjesyntaks, og afslut med kode 0.

-j, --bzip
    Gør det samme som -Z bzcat. Vælges automatisk hvis filnavnet slutter med bz2.

-m, --mono
    Repræsentér uddata som et rent sort/hvidt billede. Stop med afslutningskode 103 hvis ikke alle pixels er enten sorte eller hvide. Dette bliver valgt automatisk hvis uddatafilens navn ender på .pbm.

-n, --pnm
    Lad være med at bruge uddatafilnavnet til at vælge mellem -c, -g og -m, og vælg i stedet et uddataformat på grundlag af billedets indhold. Dette er standardfremgangsmåden hvis filnavnet ikke kan genkendes, og når billedet bliver skrevet til standarduddata.

-o filnavn, --output filnavn
    Skriv det konverterede billede til filnavn i stedet for til standarduddata.

-O x,y, --offset x,y
    Forskyd det konverterede billede fra det øverste venstre hjørne af XCF-lærredet. Bruges normalt sammen med -S.

-S bxh, --size bxh
    Beskær det konverterede billede til bredde b og højde b.

-T, --truecolor
    Brug fuldt RGB-farverum til at fladgøre indekserede billeder. Hvis dette flag ikke gives, vil xcf2pnm efterligne Gimps nuværende princip, hvor gennemsigtigheden af hver pixel afrundes til enten "helt gennemsigtig" eller "helt ugennemsigtig", og fortolke alle lagtilstande som Normal.

-u, --utf8
    Brug den rå UTF-8-repræsentation fra XCF-filen til at sammenligne og vise lagnavne. Normalt forsøger programmet at transkribere lagnavnene til det tegnsæt der angives af lokalitetsinstillingen.

-v, --verbose
    Giv fremgangsbeskeder til standardfejl undervejs.

-V, --version
    Skriv versionsnummeret for xcftools til standarduddata, og afslut med kode 0.

-z, --gzip
    Gør det samme som -Z zcat. Vælges automatisk hvis filnavnet slutter med gz.

-Z kommando, --unpack kommando
    Angiv en kommando som inddatafilen skal behandles af før den kan fortolkes som XCF-fil. Kommandoen bliver startet som kommando filnavn, og skal skrive sit resultat til standarduddata. Bemærk at kommando ikke kan indeholde argumenter. Hvis filnavnet ender på gz eller bz2, vil et udpakkeprogram blive valgt automatisk; dette kan slås fra ved at angive -Z cat (hvilket bliver optimeret så der ikke faktisk bliver startet end cat(1)-proces).

Visse grupper af flag udelukker gensidigt hinanden. I hver af de følgende grupper vil det sidst givne flag vinde:

1)  -A og -b.

2)  -c, -g, -m og -n.

3)  -D og -G.

4)  -j, -z og -Z.

5)  -C og -O/-S.

VALG AF LAG
Hvis kommandolinjen ikke indeholder noget lagnavn, bliver alle de synlige lag i XCF-filen fladgjort til et enkelt uddatabillede. Man kan også vælge de lag der skal kombineres, udtrykkeligt ved at angive deres navne som selvstændige kommandolinjeargumenter efter navnet på inddatafilen. I det tilfælde vil uddata kun indeholde de angivne lag. Lagene vil blive kombineret i den rækkefølge de står på kommandolinjen, med det lag der står længst til venstre, som det "nederste" - det vil sige at den indbyrdes position i XCF filen ikke betyder noget.

De følgende flag kan gives efter et lagnavn for at tilsidesætte lagets globale egenskaber:

--mask
    Aktivér lagmasken.

--mode mode
    Vælg lagtilstanden (fx Normal eller LægTil).

--nomask
    Deaktivér lagmasken.

--opacity n
    Vælg gennemsigtighed på en skala fra 0 (helt gennemsigtigt) til 255 (helt ugennemsigtig).

--percent n
    Vælg gennemsigtighed på en skala fra 0 (helt gennemsigtigt) til 100 (helt ugennemsigtig).

AFSLUTNINGSKODER
Her er de mulige afslutningskoder fra xcf2pnm:

0   Alt OK

20  Gal kommandolinjesyntaks, herunder ukendte farvenavne i -B (eller farvenavnsdatabasen mangler).

21  Den angivne XCF-fil findes ikke eller kan ikke læses.

22  Et lag der angives på kommandolinjen findes ikke, eller --mask-flaget er anvendt på et lag der ikke har nogen lagmaske.

100 Der er fundet gennemsigtige pixels, men hverken -a eller -b er specificeret.

101 -a-flaget er givet, men billedet er fuldstændig ugennemsigtigt. (Brug -A for at ignorere dette).

102 -G-flaget er givet, men billedet indeholder delvist gennemsigtige pixels.

103 -g- (eller -m-)flaget er givet, men billedet indeholder farvede (eller mellemgrå) pixels.

123 XCF-filen indeholder egenskaber som xcftools ikke forstår. (Der er så vidt vides ingen måde at få Gimp til at skrive en XCF-fil som medfører denne aflutningskode. Lad venligst forfatteren vide det hvis du opdager én).

125 XCF-filen er beskadiget eller ugyldig.

126 Det lykkedes ikke at udføre udpakkeprogrammet (eller det blev dræbt undervejs).

127 Uventet I/O-fejl, interne fejl og lignede "umulige" situationer.

Hvis et udpakkeprogram stopper med en fejlkode, bliver denne kode også xcf2pnms afslutningskode.

EKSEMPLER

    xcf2pnm -b white noget.xcf > noget.ppm

    xcf2pnm -a noget-gnms.pgm -o noget.pgm noget.xcf Lag1 Lag2

Følgende kommando tjekker om det fladgjorte billede indeholder nogen gennemsigtighed:

    xcf2pnm noget.xcf > /dev/null

For at tjekke om det fladgjorte indeholder nogen delvis gennemsigtighed kan man bruge

    xcf2pnm -b white -G > /dev/null

FEJL OG BEGRÆNSNINGER

Når flere delvist gennemsigtige lag skal kombineres, bliver pixelværdierne kombineret uden gammakorrektion. (Sådan gør Gimp det også). Ved kombinationen vil der uvægerligt opstå mindre afrundingsfejl - nogen gange giver xcf2pnm andre fejl end Gimp selv, især når der er tale om mere end to lag, eller ved nogen af de mere eksotiske lagtilstande. Disse forskelle er normalt ikke synlige.

Flydende markeringer bliver p.t. ikke behandlet korrekt.

Der er sikkert også andre fejl som viser sig i særlige situationer. Hvis du finder en, så vær rar at fortælle forfatteren om den.

FILER

/etc/X11/rgb.txt

/usr/share/X11/rgb.txt

/usr/lib/X11/rgb.txt
    Database med farvenavne der forstås af -b.

FORFATTER
xcf2pnm og denne manualside er skrevet af Henning Makholm <henning@makholm.net>.

SE OGSÅ
xcfinfo(1), xcf2png(1)